#pragma once
#include <string>

using namespace std;

#ifdef STARFLEETTOOLBOX_EXPORTS
#define TRANSCRIBABLE __declspec(dllexport)
#else
#define TRANSCRIBABLE __declspec(dllimport)
#endif

class TRANSCRIBABLE TranscribableException abstract
{
public:
	void SetTranslateCode(string translateCode);
	string GetTranslateCode();

private:
	string _translateCode = "";
};

